package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingBuygiftSkuQueryRequest struct {
	/*
	   买赠商品查询入参     */
	Param0 *domain.AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest `json:"param0" required:"true" `
}

func (s *AlibabaRetailMarketingBuygiftSkuQueryRequest) SetParam0(v domain.AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest) *AlibabaRetailMarketingBuygiftSkuQueryRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaRetailMarketingBuygiftSkuQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingBuygiftSkuQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
